// GVG遗迹
import { FILENAME } from '../../consts'
import { readFileAndParse } from '../util'

export interface DicGVGVestigeRange {
     // id
    id: number;
     // 最低排名(不含)
    rankMin: number;
    // 最高排名(含)
    rankMax: number; 
    // 往前随机的排名最高是多少名
    rangeBeforeFrom: number; 
    // 往前随机的排名最低是多少名
    rangeBeforeTo: number; 
    // 往前随机的排名里随机多少个
    rangeBeforeNum: number; 
    // 往后随机的排名最高是多少名
    rangeAfterFrom: number; 
    // 往后随机的排名最低是多少名
    rangeAfterTo: number; 
    // 往后随机的排名最低是多少名
    rangeAfterNum: number; 
    // 是否显示前十名/前五名
    topChallengeFrom: number; 
    // 是否显示前十名/前五名
    topChallengeTo: number; 
}

export const dicGVGVestigeRange: DicGVGVestigeRange[] = [];
export function loadGVGVestigeRange() {
    dicGVGVestigeRange.splice(0, dicGVGVestigeRange.length);
    
    let arr = readFileAndParse(FILENAME.DIC_GVG_VESTIGE_RANGE);
    arr.forEach(o => {
        dicGVGVestigeRange.push(o);
    });
    arr = undefined;
}